Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes > Class Template Reference

The class realizes a table of closest distances to lines of a certain type. More...

`#include <LinesTables2005.h>`

Inheritance diagram for LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >:

[legend]
Collaboration diagram for LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >:

[legend]
List of all members.

## Public Member Functions
void | create (const Field &field, LinesPercept::LineType type)
Vector2< double > | getClosestPoint (const Pose2D &v) const
void | draw (double r)
void | write (Out &stream) const
| The function writes the contents of an object to a stream.
void | read (In &stream)
| The function reads the contents of an object from a stream.
## Private Attributes
char | point [4][ySize][xSize][2]
bool | pointIsValid [4][ySize][xSize]

## Detailed Description

### template<int xSize, int ySize, int cellSize, int pointRes>
class LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >

The class realizes a table of closest distances to lines of a certain type.

Definition at line 47 of file LinesTables2005.h.

## Member Function Documentation

template<int xSize, int ySize, int cellSize, int pointRes>
void LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::create | ( | const Field & | field,
|  | LinesPercept::LineType | type
| ) |

| Definition at line 67 of file LinesTables2005.cpp. References LinesPercept::field, Field::getClosestPoint(), pi_2, point, LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid, sgn, Vector2< V >::x, and Vector2< V >::y.

Here is the call graph for this function:

template<int xSize, int ySize, int cellSize, int pointRes>
Vector2<double> LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::getClosestPoint | ( | const Pose2D & | v | ) | const`[inline]`

| Definition at line 57 of file LinesTables2005.h. References ASSERT, pi2, point, LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid, Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

template<int xSize, int ySize, int cellSize, int pointRes>
void LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::draw | ( | double | r | ) | `[inline]`

| Definition at line 73 of file LinesTables2005.h. References ASSERT, NDECLARE_DEBUGDRAWING, NLINE, pi2, point, LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid, Pose2D::translation, Vector2< V >::x, Vector2< double >::x, and Vector2< double >::y.

template<int xSize, int ySize, int cellSize, int pointRes>
void LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::write | ( | Out & | stream | ) | const`[inline, virtual]`

  | The function writes the contents of an object to a stream. Parameters:
  stream | The stream the data is written to.
Implements LinesTables2005::ObservationTableBase. Definition at line 107 of file LinesTables2005.h. References point, LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid, and Out::write().

Here is the call graph for this function:

template<int xSize, int ySize, int cellSize, int pointRes>
void LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::read | ( | In & | stream | ) | `[inline, virtual]`

  | The function reads the contents of an object from a stream. Parameters:
  stream | The stream the data is read from.
Implements LinesTables2005::ObservationTableBase. Definition at line 113 of file LinesTables2005.h. References point, LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid, and In::read().

Here is the call graph for this function:

## Member Data Documentation

template<int xSize, int ySize, int cellSize, int pointRes>
char LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::point[4][ySize][xSize][2]`[private]`

| Definition at line 50 of file LinesTables2005.h.

template<int xSize, int ySize, int cellSize, int pointRes>
bool LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::pointIsValid[4][ySize][xSize]`[private]`

| Definition at line 51 of file LinesTables2005.h. Referenced by LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::create(), LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::draw(), LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::getClosestPoint(), LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::read(), and LinesTables2005::ObservationTable< xSize, ySize, cellSize, pointRes >::write().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/LinesTables2005.h
- Modules/SelfLocator/LinesTables2005.cpp